%if 0%{?fedora}
%global with_python3 1
%endif

%if 0%{?rhel} && 0%{?rhel} <= 6
%{!?__python2:        %global __python2 /usr/bin/python2}
%{!?python2_sitelib:  %global python2_sitelib %(%{__python2} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib())")}
%{!?python2_sitearch: %global python2_sitearch %(%{__python2} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib(1))")}
%endif

Name:           python-manuel
Version:        1.7.2
Release:        4%{?dist}
Summary:        Build tested documentation

Group:          Development/Libraries
License:        ASL 2.0
URL:            https://pypi.python.org/pypi/manuel
Source0:        https://pypi.python.org/packages/source/m/manuel/manuel-%{version}.tar.gz
# The sphinx configuration file was mistakenly left out of the 1.7.2 release.
# This file was collected from subversion.
Source1:        conf.py

BuildArch:      noarch
BuildRequires:  python-setuptools
BuildRequires:  python-sphinx
BuildRequires:  python-six
BuildRequires:  python-zope-testing
BuildRequires:  python2-devel

%if 0%{?with_python3}
BuildRequires:  python3-setuptools
BuildRequires:  python3-sphinx
BuildRequires:  python3-six
BuildRequires:  python3-devel
%endif

Requires:       python-six

%description
Manuel lets you mix and match traditional doctests with custom test
syntax.  Several plug-ins are included that provide new test syntax.
You can also create your own plug-ins.


%if 0%{?with_python3}
%package -n python3-manuel
Summary:        Build tested documentation
Group:          Development/Libraries
Requires:       python3-six

%description -n python3-manuel
Manuel lets you mix and match traditional doctests with custom test
syntax.  Several plug-ins are included that provide new test syntax.
You can also create your own plug-ins.
%endif

%prep
%setup -q -n manuel-%{version}
rm -fr src/manuel.egg-info
mkdir sphinx
cp -p %{SOURCE1} sphinx

%if 0%{?with_python3}
rm -rf %{py3dir}
cp -a . %{py3dir}
%endif

%build
%{__python2} setup.py build

# Build the documentation, then remove leftover build files
sphinx-build -c sphinx src/manuel docs
rm -fr docs/.buildinfo docs/.doctrees

# Build for python3
%if 0%{?with_python3}
pushd %{py3dir}
%{__python3} setup.py build
popd
%endif

%install
%if 0%{?with_python3}
pushd %{py3dir}
%{__python3} setup.py install -O1 --skip-build --root $RPM_BUILD_ROOT
rm -f $RPM_BUILD_ROOT%{python3_sitelib}/manuel/*.txt
popd
%endif

%{__python2} setup.py install -O1 --skip-build --root $RPM_BUILD_ROOT

# Remove text files that are included as HTML in docs
rm -f $RPM_BUILD_ROOT%{python2_sitelib}/manuel/*.txt

%check
%{__python2} setup.py test

%if 0%{?with_python3}
pushd %{py3dir}
%{__python3} setup.py test
popd
%endif

%files
%doc CHANGES.txt COPYRIGHT.txt LICENSE.txt README.rst docs
%{python2_sitelib}/manuel/
%{python2_sitelib}/manuel-%{version}-*

%if 0%{?with_python3}
%files -n python3-manuel
%doc CHANGES.txt COPYRIGHT.txt LICENSE.txt README.rst docs
%{python3_sitelib}/manuel/
%{python3_sitelib}/manuel-%{version}-*
%endif

%changelog
* Fri Jan 24 2014 Ralph Bean <rbean@redhat.com> - 1.7.2-4
- Conditionalized python3 for epel builds.
- Defined python2 macros for el6.
- Added python3 tests to the check section.

* Thu Oct  3 2013 Jerry James <loganjerry@gmail.com> - 1.7.2-3
- Update project and source URLs

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.7.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Mon Mar 18 2013 Jerry James <loganjerry@gmail.com> - 1.7.2-1
- New upstream release

* Wed Feb 27 2013 Jerry James <loganjerry@gmail.com> - 1.7.1-2
- Add python-six Requires (bz 915431)

* Tue Feb 19 2013 Jerry James <loganjerry@gmail.com> - 1.7.1-1
- New upstream release

* Mon Jan 28 2013 Jerry James <loganjerry@gmail.com> - 1.6.1-1
- New upstream release

* Fri Aug 10 2012 Jerry James <loganjerry@gmail.com> - 1.6.0-3
- Rebuild for python 3.3

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.6.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Mon Apr 23 2012 Jerry James <loganjerry@gmail.com> - 1.6.0-1
- New upstream release
- Python3 subpackage now possible

* Tue Jan 10 2012 Jerry James <loganjerry@gmail.com> - 1.5.0-4
- Rebuild for bz 772699

* Sun Jan  8 2012 Jerry James <loganjerry@gmail.com> - 1.5.0-3
- Mass rebuild for Fedora 17

* Wed Apr 27 2011 Jerry James <loganjerry@gmail.com> - 1.5.0-2
- Do not Require python-zope-testing
- Change Group to Development/Libraries
- Remove text files from python_sitelib; they are already in docs

* Tue Apr 26 2011 Jerry James <loganjerry@gmail.com> - 1.5.0-1
- Initial RPM
